For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a list
      • GETGet a list's details
      • GETGet all the lists
      • PUTUpdate a list
      • DELDelete a list
      • GETGet contacts in a list
      • POSTDelete a contact from a list
      • POSTAdd existing contacts to a list
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementLists

Delete a contact from a list

POST
https://api.brevo.com/v3/contacts/lists/:listId/contacts/remove
POST
/v3/contacts/lists/:listId/contacts/remove
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.removeContactFromList(1, {
8 body: {
9 all: true,
10 },
11 });
12}
13main();
1{
2 "contacts": {},
3 "processId": 5,
4 "total": 23
5}
Was this page helpful?
Previous

Add existing contacts to a list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

listIdlongRequired
Id of the list

Request

Emails adresses OR IDs OR EXT_ID attributes of the contacts OR ‘all’ true

anyRequired
OR
anyRequired
OR
anyRequired
OR
anyRequired

Response

All contacts have been removed successfully from the list with details of failed ones
contactsobject

Errors

400
Bad Request Error
404
Not Found Error